#
# spec file for package ghc-crypto-enigma
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name crypto-enigma
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.0.2.10
Release:        4.1
Summary:        An Enigma machine simulator with display
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-MissingH-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-split-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
The crypto-enigma package is an Enigma machine simulator with rich display and
machine state details.

Currently support is only provided for the machine models in most widespread
general use during the war years: the I, M3, and M4.

For basic functionality, including some introspection of machine state and the
mappings performed, simply

> > import Crypto.Enigma

For richer display functionality additionally

> > import Crypto.Enigma.Display

(Note that this package assumes support for combining Unicode, without which
some output may appear garbled.).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Wed May  9 2018 psimons@suse.com
- Update to version 0.0.2.10 revision 1.
  A more detailed change log is not available.
* Fri Dec 29 2017 psimons@suse.com
- Update to version 0.0.2.10.
  A more detailed change log is not available.
* Fri Nov 24 2017 psimons@suse.com
- Update to version 0.0.2.9 revision 1.
  A more detailed change log is not available.
* Tue Aug 29 2017 psimons@suse.com
- Update to version 0.0.2.9.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 30 2017 psimons@suse.com
- Update to version 0.0.2.8 revision 4.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.0.2.8 revision 1 with cabal2obs.
